Kwalitee Issues

has_human_readable_license

Add a section called "LICENSE" to the documentation, or add a file named LICENSE to the distribution.

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: GnaData-0.01/lib/GnaData/Load.pm -- Around line 13: =pod directives shouldn't be over one line long! Ignoring all 3 lines of contentAround line 171: =pod directives shouldn't be over one line long! Ignoring all 2 lines of contentAround line 182: =pod directives shouldn't be over one line long! Ignoring all 2 lines of content GnaData-0.01/lib/GnaData/Parse.pm -- Around line 5: =pod directives shouldn't be over one line long! Ignoring all 2 lines of content GnaData-0.01/lib/GnaData/Read/Dat.pm -- Around line 1: Unknown directive: =head GnaData-0.01/lib/GnaData/Read/RDB.pm -- Around line 1: Unknown directive: =head GnaData-0.01/lib/GnaData/Read/Tsv.pm -- Around line 1: Unknown directive: =head GnaData-0.01/lib/GnaData/Read.pm -- Around line 1: Unknown directive: =head GnaData-0.01/lib/GnaData/Topics.pm -- Around line 4: =pod directives shouldn't be over one line long! Ignoring all 2 lines of content

prereq_matches_use

List all used modules in META.yml requires

Error:

  • DBI
  • HTML::LinkExtor
  • HTTP::Cookies
  • HTTP::Request::Common
  • LWP::Protocol::https
  • LWP::UserAgent
  • Text::Wrapper
  • URI::URL

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: GnaData::Conform, GnaData::Conform::Hash, GnaData::Read, GnaData::Read::Tsv

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: GnaData, GnaData::Conform, GnaData::Conform::Hash, GnaData::Load, GnaData::Parse, GnaData::Read, GnaData::Read::Dat, GnaData::Read::RDB, GnaData::Read::Tsv, GnaData::Topics, GnaData::Transpose

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • IO::String

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
GnaData Routines for converting formats 0.01 metacpan
GnaData::Conform metacpan
GnaData::Conform::Hash metacpan
GnaData::Load Base object for GNA Data Load subsystem metacpan
GnaData::Parse metacpan
GnaData::Read Base object for GNA Data Load subsystem metacpan
GnaData::Read::Tsv Base object for GNA Data Load subsystem metacpan
GnaData::Transpose metacpan

Provides

Name File View
GnaCatalog::Load lib/GnaData/Load.pm metacpan
GnaData::Load::Agent lib/GnaData/Load.pm metacpan
GnaData::Load::RDB lib/GnaData/Read/RDB.pm metacpan
GnaData::Loader lib/GnaData/Read/Dat.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan
README metacpan